Bug 720066

Summary: status command of init script is broken
Product: [Fedora] Fedora Reporter: David Lutterkort <lutter>
Component: deltacloud-coreAssignee: Michal Fojtik <mfojtik>
Status: CLOSED WONTFIX QA Contact: Ronelle Landy <rlandy>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: hbrock, mfojtik, rlandy
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 18:39:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Lutterkort 2011-07-08 19:15:12 EDT
Description of problem:

The init script does not properly report status

Version-Release number of selected component (if applicable):

0.3.0 and git HEAD

How reproducible:


Steps to Reproduce:
1. Run 'service deltacloud-core status'

  
Actual results:

[root@dhcp74-159 deltacloud]# service deltacloud-core status
Usage: status [-p pidfile] {program}

Expected results:

Status (daemon is running/not running) is printed
Comment 1 Michal Fojtik 2012-03-06 08:42:47 EST
[root@perses ce-rhel-6]# /etc/init.d/deltacloud-core status
deltacloud-core (pid  7100) is running...

This should be fixed in current release (0.5.0). Can QA confirm that?
Comment 2 Ronelle Landy 2012-03-06 09:04:58 EST
Verified that the status is printed correctly:

[root@ibm-x3200m3-01 ~]# service deltacloud-core status
deltacloud-core (pid  2694) is running...
[root@ibm-x3200m3-01 ~]# service deltacloud-core stop
Shutting down deltacloud-core: [  OK  ]
[root@ibm-x3200m3-01 ~]# service deltacloud-core status
deltacloud-core is stopped
[root@ibm-x3200m3-01 ~]# service deltacloud-core start
Starting deltacloud-core-mock: [  OK  ]
[root@ibm-x3200m3-01 ~]# service deltacloud-core status
deltacloud-core (pid  2837) is running...


rpms tested:

rpm -qa |grep deltacloud
deltacloud-core-rhevm-0.5.0-5.el6.noarch
deltacloud-core-0.5.0-5.el6.noarch
rubygem-deltacloud-client-0.5.0-2.el6.noarch
deltacloud-core-ec2-0.5.0-5.el6.noarch
deltacloud-core-vsphere-0.5.0-5.el6.noarch

Fedora 16 testing:

[rlandy@localhost ~]$ service deltacloud-core status
deltacloud-core.service - LSB: Deltacloud Core API deamon
	  Loaded: loaded (/etc/rc.d/init.d/deltacloud-core)
	  Active: active (running) since Tue, 06 Mar 2012 09:00:44 -0500; 2min 9s ago
	 Process: 2868 ExecStop=/etc/rc.d/init.d/deltacloud-core stop (code=exited, status=0/SUCCESS)
	 Process: 2964 ExecStart=/etc/rc.d/init.d/deltacloud-core start (code=exited, status=0/SUCCESS)
	Main PID: 2975 (deltacloudd)
	  CGroup: name=systemd:/system/deltacloud-core.service
		  └ 2975 thin server (localhost:3002) [deltacloud-mock]

[root@localhost rlandy]# service deltacloud-core stop
Stopping deltacloud-core (via systemctl):                  [  OK  ]
[root@localhost rlandy]# service deltacloud-core status
deltacloud-core.service - LSB: Deltacloud Core API deamon
	  Loaded: loaded (/etc/rc.d/init.d/deltacloud-core)
	  Active: failed since Tue, 06 Mar 2012 08:59:55 -0500; 8s ago
	 Process: 2868 ExecStop=/etc/rc.d/init.d/deltacloud-core stop (code=exited, status=0/SUCCESS)
	 Process: 1145 ExecStart=/etc/rc.d/init.d/deltacloud-core start (code=exited, status=0/SUCCESS)
	Main PID: 1442 (code=killed, signal=KILL)
	  CGroup: name=systemd:/system/deltacloud-core.service
Comment 3 Fedora End Of Life 2012-08-16 18:39:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping